### Method

# Gtk Svg set_weight

since: 4.22

#### Declaration [src]

    void
    gtk_svg_set_weight (
      GtkSvg* self,
      double weight
    )

#### Description [src]

Sets the weight that is used when rendering.

The weight affects the effective linewidth when stroking paths.

The default value of -1 means to use the font weight from CSS.

Available since: 4.22

Sets property | `Gtk.Svg:weight`

#### Parameters

`weight`

  Type: `double`

  The font weight, as a value between -1 and 1000.